View Issue Details

IDProjectCategoryView StatusLast Update
0000242Volume 2Bugpublic2019-11-27 16:00
Reportermalonkey1Assigned ToChet 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platform32-bitOSWindows 10OS VersionBuild 1909
Product VersionIssue 1 
Target VersionIssue 2Fixed in VersionIssue 2 
Summary0000242: Crash when switching tabs in character creation
DescriptionThe client crashes if a power is left selected when switching away from the power customization tab, then back to it.
Steps To Reproduce1. Begin character creation
2. Select an archetype and powers
3. Go to power customization
4. Select a power so that the character is performing the animation of the power
5. Switch to any other tab in character creation
6. Return to power customization
7. Client will crash
TagsNo tags attached.
subsystemGame

Activities

malonkey1

2019-11-24 01:28

reporter  

Stacktrace.txt (1,799 bytes)
[Inline Frame] Ouroboros.exe!mulMat4Inline(const float[3] *) Line 665
	at C:\Git\CoX\Source\libs\UtilitiesLib\include\utilitieslib\utils\mathutil.h(665)
[Inline Frame] Ouroboros.exe!mulMat4(const float[3] * a, const float[3] *) Line 616
	at C:\Git\CoX\Source\libs\UtilitiesLib\src\utils\mathutil.c(616)
[Inline Frame] Ouroboros.exe!transformToEnt(Entity *) Line 1324
	at C:\Git\CoX\Source\Game\src\UI\uiPowerCust.c(1324)
Ouroboros.exe!processAnimEvent(PowerAnimEvent * event) Line 1406
	at C:\Git\CoX\Source\Game\src\UI\uiPowerCust.c(1406)
Ouroboros.exe!powerCust_handleAnimation(...) Line 1502
	at C:\Git\CoX\Source\Game\src\UI\uiPowerCust.c(1502)
Ouroboros.exe!powerCustomizationMenu(...) Line 2299
	at C:\Git\CoX\Source\Game\src\UI\uiPowerCust.c(2299)
Ouroboros.exe!serve_menus(...) Line 677
	at C:\Git\CoX\Source\Game\src\UI\uiGame.c(677)
[Inline Frame] Ouroboros.exe!runServeMenus(...) Line 504
	at C:\Git\CoX\Source\Game\src\game.c(504)
Ouroboros.exe!engine_update(...) Line 570
	at C:\Git\CoX\Source\Game\src\game.c(570)
Ouroboros.exe!game_mainLoop(int timer) Line 2338
	at C:\Git\CoX\Source\Game\src\game.c(2338)
Ouroboros.exe!main(int argc, char * * argv) Line 322
	at C:\Git\CoX\Source\Game\src\main.c(322)
Ouroboros.exe!WinMain(HINSTANCE__ * hInstance, HINSTANCE__ * hPrevInstance, char * lpCmdLine, int nCmdShow) Line 2149
	at C:\Git\CoX\Source\Game\src\win\win_init.c(2149)
[External Code]
kernel32.dll![Frames below may be incorrect and/or missing, no symbols loaded for kernel32.dll]
Ouroboros.exe!ttTextForEachGlyph(TTDrawContext * context, TTTextForEachGlyphParam * param, float x, float y, float xScale, float yScale, wchar_t * text, unsigned int textLength, int allowScaling) Line 488
	at C:\Git\CoX\Source\Game\src\graphics\truetype\ttFontDraw.c(488)
Stacktrace.txt (1,799 bytes)

Chet

2019-11-25 01:51

administrator   ~0000166

"Exception thrown at 0x010B779F in Ouroboros.exe: 0xC0000005: Access violation reading location 0x00000038. occurred" on mathutil.h line 665

Chet

2019-11-27 16:00

administrator   ~0000167

https://git.ourodev.com/CoX/Source/pulls/131

Issue History

Date Modified Username Field Change
2019-11-24 01:28 malonkey1 New Issue
2019-11-24 01:28 malonkey1 File Added: Stacktrace.txt
2019-11-25 01:32 Chet Assigned To => Chet
2019-11-25 01:32 Chet Priority low => normal
2019-11-25 01:32 Chet Severity minor => crash
2019-11-25 01:32 Chet Target Version => Issue 2
2019-11-25 01:32 Chet Description Updated View Revisions
2019-11-25 01:32 Chet Steps to Reproduce Updated View Revisions
2019-11-25 01:32 Chet subsystem Game => Game
2019-11-25 01:51 Chet Status new => assigned
2019-11-25 01:51 Chet Note Added: 0000166
2019-11-27 16:00 Chet Note Added: 0000167
2019-11-27 16:00 Chet Status assigned => resolved
2019-11-27 16:00 Chet Resolution open => fixed
2019-11-27 16:00 Chet Fixed in Version => Issue 2